org.apache.uima.collection.metadata

## Interface CpeLocalCasProcessor

- All Superinterfaces:
    Cloneable, CpeCasProcessor, MetaDataObject, Serializable, XMLizable

      public interface CpeLocalCasProcessor
      extends CpeCasProcessor

  An object that holds configuration that is part of the CPE descriptor. Provides the means of defining and obtaining configuration for CasProcessors deployed locally, ie same machine as CPE but different process.

  Its basic functionality is inherited from `CpeCasProcessor`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExecArg(String aArgValue)`
    `void` | `addExecEnv(String aEnvParamName, String aEnvParamValue)`
    `String` | `getExecutable()` Returns a name of a program to use when launching this CasProcessor
    `CasProcessorRunInSeperateProcess` | `getRunInSeperateProcess()`
    `boolean` | `isJava()` Returns true if the local Cas Processor is a java program
    `void` | `setExecutable(String aCasProcessorExecutable)` Defines the name of a program to run when launching this Cas Processor.
    `void` | `setIsJava(boolean aJava)` Defines if this Cas Processor is a java program
    `void` | `setRunInSeperateProcess(CasProcessorRunInSeperateProcess aSepProcess)`

    - ### Methods inherited from interface org.apache.uima.collection.metadata.CpeCasProcessor

      `addDeployParam, getActionOnMaxError, getActionOnMaxRestart, getBatchSize, getCasProcessorFilter, getCheckpoint, getConfigurationParameterSettings, getCpeComponentDescriptor, getDeployment, getDeploymentParams, getDescriptor, getErrorHandling, getIsParallelizable, getMaxErrorCount, getMaxErrorSampleSize, getMaxRestartCount, getName, getRunInSeparateProcess, getSOFA, getSofaNameMappings, getTimeout, setActionOnMaxError, setActionOnMaxRestart, setBatchSize, setCasProcessorFilter, setConfigurationParameterSettings, setCpeComponentDescriptor, setDescriptor, setIsParallelizable, setMaxErrorCount, setMaxErrorSampleSize, setMaxRestartCount, setName, setSOFA, setSofaNameMappings, setTimeout`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Method Detail

    - #### isJava

          boolean isJava()
                  throws CpeDescriptorException

      Returns true if the local Cas Processor is a java program
      Returns:
        true if java program, false otherwise
      Throws:
        `CpeDescriptorException` - -

    - #### setIsJava

          void setIsJava(boolean aJava)
                  throws CpeDescriptorException

      Defines if this Cas Processor is a java program
      Parameters:
        `aJava` - - true if java, false otherwise
      Throws:
        `CpeDescriptorException` - -

    - #### setExecutable

          void setExecutable(String aCasProcessorExecutable)
                      throws CpeDescriptorException

      Defines the name of a program to run when launching this Cas Processor. A program can be a java exec, a shell script, or any program that can run in a separate process.
      Parameters:
        `aCasProcessorExecutable` - - name of a program
      Throws:
        `CpeDescriptorException` - tbd

    - #### getExecutable

          String getExecutable()
                        throws CpeDescriptorException

      Returns a name of a program to use when launching this CasProcessor
      Returns:
        the name of the program to execute
      Throws:
        `CpeDescriptorException` - tbd

    - #### addExecEnv

          void addExecEnv(String aEnvParamName,
                          String aEnvParamValue)
                   throws CpeDescriptorException

      Throws:
        `CpeDescriptorException`

    - #### addExecArg

          void addExecArg(String aArgValue)
                   throws CpeDescriptorException

      Throws:
        `CpeDescriptorException`

    - #### setRunInSeperateProcess

          void setRunInSeperateProcess(CasProcessorRunInSeperateProcess aSepProcess)
                                throws CpeDescriptorException

      Throws:
        `CpeDescriptorException`

    - #### getRunInSeperateProcess

          CasProcessorRunInSeperateProcess getRunInSeperateProcess()
                                                            throws CpeDescriptorException

      Throws:
        `CpeDescriptorException`

Copyright © 2006–2017 The Apache Software Foundation. All rights reserved.